<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>mail-server</artifactId>
        <groupId>fr.jihad-oussad</groupId>
        <version>1.6-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <version>1.6-SNAPSHOT</version>
    <groupId>fr.jihad-oussad.mail-server</groupId>
    <artifactId>mail-server-provider</artifactId>
    <name>Mail Server - Provider</name>

    <dependencies>
        <!-- Internal dependencies -->
        <dependency>
            <groupId>fr.jihad-oussad.mail-server</groupId>
            <artifactId>mail-server-contract</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <!-- SPRING -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
        </dependency>

        <!-- Tests dependencies -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.junit.vintage</groupId>
                    <artifactId>junit-vintage-engine</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
    </dependencies>

</project>
